import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewDatabase } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:08
 */
interface TapdReviewDatabaseCU extends ConditionUtil<TapdReviewDatabaseCU> {
    ID: FieldUtil<TapdReviewDatabaseCU>;
    INSTANCE_ID: FieldUtil<TapdReviewDatabaseCU>;
    INSTANCE_NAME: FieldUtil<TapdReviewDatabaseCU>;
    DATABASE_NAME: FieldUtil<TapdReviewDatabaseCU>;
    SQL: FieldUtil<TapdReviewDatabaseCU>;
    TAPD_ID: FieldUtil<TapdReviewDatabaseCU>;
}
declare class TapdReviewDatabaseMU extends TableUtilImpl<TapdReviewDatabaseCU, TapdReviewDatabase> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewDatabaseCU;
    static get ID(): FieldUtil<TapdReviewDatabaseCU>;
    static get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseCU>;
    static get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseCU>;
    static get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseCU>;
    static get SQL(): FieldUtil<TapdReviewDatabaseCU>;
    static get TAPD_ID(): FieldUtil<TapdReviewDatabaseCU>;
    get ID(): FieldUtil<TapdReviewDatabaseCU>;
    get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseCU>;
    get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseCU>;
    get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseCU>;
    get SQL(): FieldUtil<TapdReviewDatabaseCU>;
    get TAPD_ID(): FieldUtil<TapdReviewDatabaseCU>;
}
export { TapdReviewDatabaseMU, TapdReviewDatabaseCU };
